Redmine - Defect #6407

New gantt charts shouldn't display all issues / versions
2010-09-16 07:28 - Jean-Baptiste Barth

Status: Closed Start date: 2010-09-16
Priority: Normal Due date:

Assignee: Jean-Baptiste Barth % Done: 0%
Category: Gantt Estimated time: 0.00 hour
Target version:

Resolution: Affected version:

Description

Old gantt chart used to display :

e issues with a start and due date
¢ issues with no due date, but assigned to a target version with a due date

It seems new gantt chart displays issues with no start date, no due date and no target version, which introduce blank lines in the
gantt. And it's problematic when you have 200+ issues in a project. The old behavior was reasonnable for me.

Is it desired behavior ? If so, shouldn't we have a something (a checkbox?) to easily hide those issues ?

Anyway, I'm very happy with the rewrite, it's much more clear/beautiful/useful, good job!

Related issues:

Related to Redmine - Feature #3011: [Gantt] Show issue with not start date ye... Closed 2009-03-19
Related to Redmine - Patch #12730: Fix sorting and PDF output of Gantt diagra... New
History

#1 - 2010-09-17 05:40 - Eric Davis

Jean-Baptiste Barth wrote:

It seems new gantt chart displays issues with no start date, no due date and no target version, which introduce blank lines in the gantt.

Can you post a screenshot of these blank lines for me?

#2 - 2010-09-17 06:34 - Jean-Baptiste Barth
- File screenshot_6407.png added

- Subject changed from New gantt charts shouldn't display all issues to New gantt charts shouldn't display all issues / versions

Here it is, see last 3 issues (bugs 5, 13, 4):
These issue have no start/due date in their tooltip, neither a target version. Confirmed in the console if it can help you:

>> Issue.find(5)

=> #<Issue id: 5, tracker_id: 1, project_id: 3, subject: "Subproject issue", description: "This is an issue on
a cookbook subproject", due_date: nil, category_id: nil, status_id: 1, assigned_to_id: nil, priority_id: 4, £
ixed_version_id: nil, author_id: 2, lock_version: 0, created_on: "2010-09-12 00:00:00", updated_on: "2010-09-1
5 00:00:00", start_date: nil, done_ratio: 0, estimated_hours: nil, parent_id: nil, root_id: 5, 1ft: 1, rgt: 2>
>> TIssue.find(5).fixed_version

=> nil

| just noticed that some versions are also displayed even if they have no due date (last line).

Step to reproduce if needed : RAILS_ENV=development rake db:fixtures:load
#3 - 2010-09-18 01:19 - Eric Davis

Actually, | think that's how it should look. Those issues are part of the project but they have no date range to draw. And they aren't in the past, so
"New 0%" shouldn't be drawn.

#4 - 2010-09-20 06:29 - Jean-Baptiste Barth

My concern is about sites like redmine.org itself : a gantt with hundreds or thousands of issues is completely useless. But if you limit the displayed
issues to those with a due date or a target version (like before), you'll only have a few dozens of them and it becomes readable.

Anybody else has an opinion about that ? Maybe somebody has a golden mean solution we didn't think of.
Anyway, if it stays like that | can diverge from this behavior in a plugin, not a big deal.

#5 - 2010-09-20 20:40 - Bruno Samora

| like the idea of showing all issues, no matter if they are scheduled or not.

I'm not using Redmine for a very long time, but I've already caught myself confused and looking for filters trying to figure our why that particular issue
was not in the Gantt.

Maybe an option like "display only scheduled issues" would work, but | would prefer the "show all" behavior as default.

#6 - 2010-09-23 08:54 - Jean-Baptiste Barth

Bruno Samora wrote:
Maybe an option like "display only scheduled issues" would work, but | would prefer the "show all" behavior as default.
| like the idea. Other thoughts on this ?

#7 - 2010-09-24 05:44 - Mischa The Evil

Bruno Samora wrote:

Maybe an option like "display only scheduled issues" would work, but | would prefer the "show all" behavior as default.
Like such an option too for the new Gantt chart...
#8 - 2010-09-26 23:49 - Eric Davis
Jean-Baptiste Barth wrote:
My concern is about sites like redmine.org itself : a gantt with hundreds or thousands of issues is completely useless. But if you limit the
displayed issues to those with a due date or a target version (like before), you'll only have a few dozens of them and it becomes readable.
| have the opinion that if a project has hundreds or thousands of issues, you have completely different problem. ;)
The Gantt chart uses Filters so you can use them to limit the display. Example:

® |ssues for Version XYZ, or
¢ Issues with Start Date less than 1 month ago and End Date less than 3 months ago

I'm also fine with the idea of having additional options for the Gantt or Calendar. Specifcally for myself, | don't care about seeing the Start of issues
on the Calendar and would like to turn them off. We could add some options for the Gantt like "is Scheduled (has start/end date)".

#9 - 2010-11-09 19:47 - Chuck H

| agree with Jean. The default Gantt filters should be configurable so the site administrator(s) can set the most appropriate display for their
organization. It would be helpful if there were a global configuration and an option to override the global setting on a project-by-project basis.
Date options should include (Project Start Date, Today, 7 days ago, 30 days ago, etc)

#10 - 2010-11-27 00:40 - Eric Davis
- Assignee deleted (Eric Davis)
| am stepping down from working on Redmine. If someone else is interesting in working on this issue, feel free to reassign it to them.
Eric Davis
#11 - 2011-06-28 16:17 - cyril zenger
Chuck H wrote:
| agree with Jean. The default Gantt filters should be configurable so the site administrator(s) can set the most appropriate display for their

organization. It would be helpful if there were a global configuration and an option to override the global setting on a project-by-project basis.
Date options should include (Project Start Date, Today, 7 days ago, 30 days ago, etc)

| also agree with Jean. The closed versions should be invisible.
#12 - 2011-06-28 18:01 - Etienne Massip
cyril zenger wrote:

| also agree with Jean. The closed versions should be invisible.

Empty versions (versions with no issues matching the active filters) are no more displayed in 1.2.0.

So, with the default filter "status" set to "open", you shouldn't see them anymore.

#13 - 2013-01-18 14:27 - Daniel Felix

- Status changed from New to Needs feedback

- Assignee set to Jean-Baptiste Barth

Hi Jean-Baptiste,

this seems mostly be fixed. There are still some patches, which fix some issues regarding gantt (#12730).
Maybe this could resolve your requests.

As described by Etienne, you can apply some filters, to reduce your output.

Could this be closed for you?

#14 - 2013-01-19 12:53 - Jean-Baptiste Barth
https://www.redmine.org/versions/27
https://www.redmine.org/issues/12730

- Status changed from Needs feedback to Closed
Yes | think it can be closed. Please re-open if needed.
